# TdApi.CreateCall

Package it.ernytech.tdlib

## Class TdApi.CreateCall

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateCall

Enclosing class:
  TdApi

    public static class TdApi.CreateCall
    extends TdApi.Function

Creates a new call.

Returns `CallId`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.CallProtocol` `protocol` Description of the call protocols supported by the client.
`int` `userId` Identifier of the user to be called.

### Constructor Summary

Constructors
`CreateCall()` Default constructor.
`CreateCall​(int userId, TdApi.CallProtocol protocol)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

Identifier of the user to be called.

#### protocol

    public TdApi.CallProtocol protocol

Description of the call protocols supported by the client.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateCall

    public CreateCall()

Default constructor.

#### CreateCall

    public CreateCall​(int userId,
                      TdApi.CallProtocol protocol)

Constructor for initialization of all fields.

Parameters:
  `userId` - Identifier of the user to be called.
  `protocol` - Description of the call protocols supported by the client.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR